NNTPGET(1)

NAME
nntpget - Get Usenet articles from a remote NNTP server

SYNOPSIS
nntpget [-ov] [-f file] [-n newsgroups] [-t timestring] [-u file] host

DESCRIPTION
nntpget connects to the NNTP server at the specified host and retrieves articles from it. The Message-IDs of the desired articles are read from standard input. The articles are sent to standard output.

Instead of reading Message-IDs from standard output, the -f, -n, -t and -u options make use of the "NEWNEWS" command, which may not be available on the remote server. Only one of the -f, -t or -u option may be given at the same time; -n can be specified only if one of the other three options is in use.

If authentication credentials are present for the remote server in the passwd.nntp file in pathetc, then nntpget will use them to authenticate.

OPTIONS

-f file
    The list of article Message-IDs is normally read from standard input. If this option is used, then a "NEWNEWS" command is used to retrieve all articles newer than the modification date of the specified file.

-n newsgroups
    If either the -f, -t or -u options are used, then this option may be used to limit the responses to only the newsgroups (if any) whose names match the list. The default is "*", that is to say all newsgroups are wanted.

    The newsgroups list can contain several patterns and wildmat characters. For instance "misc.*,!*.test" is a valid list that will be given to the "NEWNEWS" command.

-o  This option may be used only if the command is executed on the host where the innd server is running. If this option is used, nntpget connects to the specified remote host to retrieve articles. Any article not present in the local history database is then fetched from the remote site and offered to the local server.

    Articles are not written to standard output. Only processed Message-IDs are, if the -v option is also used.

-t timestring
    If this option is used, then the specified timestring is used as the time and date parameter to the "NEWNEWS" command. Only the articles arrived in the remote server since that timestamp are retrieved.

    The timestring is specified as "yyyymmdd hhmmss GMT" where "yyyy" is the year, "mm" the month, "dd" the day of the month, "hh" the hours in the 24-hour clock, "mm" the minutes, and "ss" the seconds. The token "GMT" specifies that the date and time are given in Coordinated Universal Time.

-u file
    This option is like -f except that if the transfer succeeds, the file will be updated with a statistics line, modifying its timestamp so that it can be used in later invocations.

-v  If this option is used with -o, then the Message-ID of each article will be sent to standard output as it is processed.

HISTORY
Written by Rich $alz <rsalz@uunet.uu.net> for InterNetNews. Rewritten into POD by Julien Elie.

SEE ALSO
innd(8), passwd.nntp(5).